Skip to navigation

Get a Webhook

View as Markdown
Get one webhook endpoint without exposing its signing secret.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

webhookIdstringRequired

Headers

BCTRL-VersionenumOptional
Dated API version. Defaults to the release pinned when the API key was created.
Allowed values:
BCTRL-SpacestringOptional
Select one authorized Space by its opaque ID or unique name. Omission uses the operation default.
BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Response headers

BCTRL-Request-IdstringOptional
Current request identifier, also echoed in errors.
BCTRL-VersionstringOptional
Negotiated dated API version.
RateLimit-Limitinteger

Evaluated policy limit; zero when no finite policy was evaluated.

RateLimit-Remaininginteger

Remaining policy budget; zero when no finite policy was evaluated.

RateLimit-Resetinteger

Seconds until reset; zero when no finite policy was evaluated.

Response

OK
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
enabledboolean
eventslist of strings
idstring
Unique webhook identifier generated by BCTRL.
namestring or null1-80 characters
object"webhook"
subaccountIdstring or null
updatedAtdatetime
RFC 3339 timestamp with a UTC offset.
urlstringformat: "uri"<=2048 characters

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error